drop database emaille;
create database emaille;
\connect emaille

create table benutzer (id integer, name text);
create table emailaddr(email text, name integer);

insert into benutzer values (10, 'alfred');
insert into benutzer values (20, 'baerti');
insert into benutzer values (30, 'claus');
insert into benutzer values (40, 'david');

insert into emailaddr values ('alfed@mad.org', 10);
insert into emailaddr values ('alfed@wara.de', 10);
insert into emailaddr values ('baerti@jva.de',20);
insert into emailaddr values ('claus@zpe.de',30);
insert into emailaddr values ('david@mpi.de',40);

select 
   benutzer.name, email 
from 
   benutzer 
   inner join emailaddr on benutzer.id = emailaddr.name;

create user alfred with password 'mad';
grant all on benutzer to alfred;
grant all on emailaddr to alfred;