package controller;

/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
import java.io.IOException;
import java.io.PrintWriter;
import java.util.ArrayList;
import javax.servlet.RequestDispatcher;
import javax.servlet.ServletContext;
import javax.servlet.ServletException;
import javax.servlet.http.HttpServlet;
import javax.servlet.http.HttpServletRequest;
import javax.servlet.http.HttpServletResponse;
import javax.servlet.http.HttpSession;
import persistency.Jdbctest;
import persistency.Liste;

/**
 *
 * @author micha
 */
public class Controller extends HttpServlet {

    /**
     * Processes requests for both HTTP <code>GET</code> and <code>POST</code>
     * methods.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    PrintWriter out;
    Liste liste;

    protected void processRequest(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        response.setContentType("text/html;charset=UTF-8");
        out = response.getWriter();
        out.print("und?");

        String url = "/WEB-INF/view/index.jsp";
        String action = request.getParameter("action");

        if (action == null) {
            action = "NULL";
        }

        //session holen
        HttpSession session = request.getSession();

        //attribut fuer sichtbarkeit einiger buttons in der view
        session.setAttribute("sichtbar", new String("hidden"));

        //model im session-objekt ablegen
        Query query;
        query = (Query) session.getAttribute("query");

        if (query == null) {
            query = new Query();
            session.setAttribute("query", query);
        }

        if (action.equals("QUERY")) {

            url = "/WEB-INF/view/index.jsp";
            query.setName(request.getParameter("name"));
            query.setEmaille(request.getParameter("emaille"));
            session.setAttribute("sichtbar", new String("visible"));

        } else if (action.equals("SEARCH")) {

            url = "/WEB-INF/view/index.jsp";
            // neue liste aus datenbank erzeugen
            Jdbctest jt = new Jdbctest();
            jt.setEmaille(query.getEmaille());
            jt.setName(query.getName());
            liste = jt.getList();

            //array-list der liste in session ablegen
            session.setAttribute("liste", liste.getAl());
            session.setAttribute("listLength", liste.getAl().size());

        } else if (action.equals("RESET")) {

            url = "/WEB-INF/view/index.jsp";
            query = new Query();
            session.setAttribute("sichtbar", new String("hidden"));
            session.setAttribute("query", query);

        } else {

            url = "/WEB-INF/view/index.jsp";
        }

        ServletContext sc = getServletContext();
        RequestDispatcher rd = sc.getRequestDispatcher(url);
        rd.forward(request, response);

    }

    // <editor-fold defaultstate="collapsed" desc="HttpServlet methods. Click on the + sign on the left to edit the code.">
    /**
     * Handles the HTTP <code>GET</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doGet(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Handles the HTTP <code>POST</code> method.
     *
     * @param request servlet request
     * @param response servlet response
     * @throws ServletException if a servlet-specific error occurs
     * @throws IOException if an I/O error occurs
     */
    @Override
    protected void doPost(HttpServletRequest request, HttpServletResponse response)
            throws ServletException, IOException {
        processRequest(request, response);
    }

    /**
     * Returns a short description of the servlet.
     *
     * @return a String containing servlet description
     */
    @Override
    public String getServletInfo() {
        return "Short description";
    }// </editor-fold>

}
